Bug 1003498 - When creating process with existing name the old process is silently overwritten
When creating process with existing name the old process is silently overwritten
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ER4
: 6.0.0
Assigned To: Tihomir Surdilovic
Jiri Locker
:
Depends On:
Blocks: 983661
  Show dependency treegraph
 
Reported: 2013-09-02 04:13 EDT by Jiri Locker
Modified: 2014-08-06 16:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:09:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Locker 2013-09-02 04:13:46 EDT
Description of problem:
If the user enters name of an existing process when creating a new one (which can happen accidentally), the old process will be overwritten with the new one (effectively cleared) without any warning/confirmation prompt. The user may not even notice.

Version-Release number of selected component (if applicable):
ER1

How reproducible:
-

Steps to Reproduce:
1. create a new process named "proc"
2. make some changes (Start -> Task -> End), save it and close it
3. repeat step one

Actual results:
Attempt to create a process with existing name is successful, no warning before overwriting the existing process.

Expected results:
Either prompt the user to confirm the destructive action or, preferably, to be consistent with other asset types, fail with "File already exists" error.

Additional info:
Comment 1 Tihomir Surdilovic 2013-09-04 14:34:07 EDT
fix in designer master and 6.0.x branches
Comment 5 Jiri Locker 2013-10-18 08:29:06 EDT
Fixed in ER4.

Note You need to log in before you can comment on or make changes to this bug.